# $Revision: 1.18 $, $Date: 2001/10/28 11:26:47 $
Summary:	D. J. Bernstein daemontools
Summary(pl):	daemontools D. J. Bernstein
Name:		daemontools
Version:	0.70
Release:	5
Copyright:	D. J. Bernstein
Group:		Networking/Admin
Group(de):	Netzwerkwesen/Administration
Group(pl):	Sieciowe/Administracyjne
Source0:	http://cr.yp.to/%{name}/%{name}-%{version}.tar.gz
Source1:	ftp://ftp.innominate.org/pub/pape/djb/%{name}-%{version}-man.tar.gz
Source2:	%{name}.sysconfig
Source3:	%{name}.init
Patch0:		%{name}-time.patch
Prereq:		/sbin/chkconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
daemontools is a collection of tools for managing UNIX services.

supervise monitors a service. It starts the service and restarts the
service if it dies. Setting up a new service is easy: all supervise
needs is a directory with a run script that runs the service.

multilog saves error messages to one or more logs. It optionally
timestamps each line and, for each log, includes or excludes lines
matching specified patterns. It automatically rotates logs to limit
the amount of disk space used. If the disk fills up, it pauses and
tries again, without losing any data.

%description -l pl
daemontools jest zestawem narzdzi do zarzdzania servisami UNIX'owymi

supervise monitoruje servisy. Startuje servisy i restartuje je, gdy
"umr". Ustawienie nowego servisu jest proste: wszystko czego supervise
potrzebuje to katalog ze skryptami startowymi, ktre startuj servisy.

multilog zapisuje komunikaty o bdach do jednego lub wicej log'u.
Opcjonalnie stempluje kad lini dat oraz, w kadym logu, docza
lub wycza linie pasujce do okrelonych wzorcw. Automatycznie 
robi rotating logw do limitu miejsca na dysku. Jeeli dysk jest 
zapeniony, robi pauz i prbuje ponownie, bez strat danych.

%prep
%setup -q
%patch0 -p1
tar zxf %{SOURCE1}

%build
echo %{_bindir} >conf-home

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8} \
	$RPM_BUILD_ROOT%{_sysconfdir}/{rc.d/init.d,sysconfig} \
	$RPM_BUILD_ROOT/var/lib/service $RPM_BUILD_ROOT/service

install envdir envuidgid fghack multilog setlock setuidgid softlimit \
	supervise supervise svc svok svscan svstat tai64n tai64nlocal \
	$RPM_BUILD_ROOT%{_sbindir}
install %{name}-%{version}-man/*.8* $RPM_BUILD_ROOT%{_mandir}/man8
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/svscan
install %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/svscan

gzip -9nf CHANGES README TODO

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add svscan
if [ -f /var/lock/subsys/svscan ]; then
	/etc/rc.d/init.d/svscan restart >&2
else
	echo "Execute \"/etc/rc.d/init.d/svscan\" to start svscan daemon."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/svscan ]; then
		/etc/rc.d/init.d/svscan stop >&2
	fi
	/sbin/chkconfig --del svscan
fi

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_sbindir}/*
%attr(700,root,root) /service
%attr(700,root,root) /var/lib/service
%attr(754,root,root) /etc/rc.d/init.d/svscan
%config(noreplace) %verify(not size mtime md5) /etc/sysconfig/svscan
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: daemontools.spec,v $
Revision 1.18  2001/10/28 11:26:47  saq
- using /service directory (req. by license)
- release 5
- STB

Revision 1.17  2001/09/24 12:06:20  qboosh
- Prereq: /sbin/chkconfig

Revision 1.16  2001/08/15 21:40:59  saq
- release 4 (killing supervised jobs in /etc/rc.d/init.d/svscan)
- STB

Revision 1.15  2001/07/26 05:42:06  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.13  2001/05/24 14:46:21  blues
- Release 3
STB

Revision 1.12  2001/05/24 14:43:02  blues
- added missing init script (in spec only)
- clean-ups with man-pages

Revision 1.11  2001/05/24 14:28:39  blues
- added translations

Revision 1.10  2001/05/07 15:00:37  kloczek
- spec adaptedized,
- simplifications in %install,
- do not compress man pages.

Revision 1.9  2001/03/25 01:51:31  saq
- don't include /usr/share/man/man8 in the package

Revision 1.8  2001/03/18 21:52:04  areq
- add time.patch

Revision 1.7  2000/12/09 20:56:16  serek
- new version; added rc files designed by serek; removed outdated sources.

Revision 1.6  2000/05/18 17:35:47  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:14:25  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:16  baggins
- translated kloczkish into english

Revision 1.3  1999/11/02 13:30:20  baggins
- cleanup
- macros
- striping binaries
- gziping docs
- CVS tags
- FHS 2.0

Revision 1.2  1999/10/07 20:32:33  waszi
- rewrited in PLD style
- removed patch

Revision 1.1  1999/10/07 20:21:25  waszi
- first cvs release

* Mon Apr 27 1998 Sergiusz Pawlowicz <ser@serek.arch.pwr.wroc.pl>

- first build for redhat-5.1, PGCC!
- added redhat.patch
